Get Account Balance
Authentication
All CitiConnect APIs use the oAuth2 authentication scheme, which requires a bearer token to authenticate your API call. The Token URL includes the version of authentication used by this API. See the Citi Authentication API reference for information on requesting a token.
Headers
Query parameters
page_number identifies the current page number. You will need to review the response header ‘pagination-metadata’ and total_page property. If page_number is greater than 1, then you can make subsequent calls without changing other parameters in the request. The default value of page_number is 1.
This is your unique identifier shared during your CitiConnect API onboarding. This is the same client_id used for oauth token generation
Request
Identifier of the account as defined by the account service provider. You must include at least 1 account and can specify up to 50 accounts in the account_identifier field by comma-seperated values. You must specify either account_identifier or branch_number in order to receive a successful response. If none of these fields are provided, then the API will return a reject response along with an error message.
Branch Number as defined by the account service provider. You can send only one Branch Number in the request. If you send a branch_number without an account_number, the API returns balances for all accounts belonging to the branch specified in the request. You must specify either account_identifier or branch_number in order to receive a successful response. If none of these fields are provided, then the API will return a reject response along with an error message.
3-digit currency code for the currency in which the balance needs to be retrieved. You may only one value in this field. If base_currency is provided in the request, the API will return balances in the requested currency after applying any applicable FX currency conversations. If base_currency is not provided in the request, then the response will return balances in the account’s currency.
Calendar date expressed in YYYY-MM-DD format. Cannot be more than 180 days from the current date. This is defined in “XML Schema Part 2: Datatypes Second Edition - W3C Recommendation 28 October 2004” which is aligned with ISO 8601.
Calendar date expressed in YYYY-MM-DD format. Cannot be more than 180 days from the current date. This is defined in “XML Schema Part 2: Datatypes Second Edition - W3C Recommendation 28 October 2004” which is aligned with ISO 8601.